Canon Community Canon Community
 


Reply
Highlighted
New Contributor
Posts: 3
Registered: ‎07-13-2020

MP Navigator Ex versions

Can I have and do I need 2 different MP Navigator EX's if I have two scanners? I thought I'd install the most current I could find and now when I try to execute it from the start menu I get:  Cannot start the MP Navigator. Check the following points. 1. The supported model of this software is as follows. Check your product model is listed. Then is lists a number of different MX models, none of which I have installed. I have a Canoscan 8800F and a Pixma MX920. The 8800F is new and I am trying to get the right MP Navigator for the new scanner and keep the old scanner on the MX920 working. I installed MP Navigator Ex 5.1 after deleting an older one (without knowing there might be different ones for different scanners). Following instructions for using the 8800F with MP Navigator Ex, when I try to execute it from Canon Utilities in the Start Menu if fails with that message. What do I need for both scanners?

 

Highlighted
Esteemed Contributor
Posts: 2,206
Registered: ‎11-19-2017

Re: MP Navigator Ex versions

[ Edited ]

Greetings,

One item is a dedicated scanner, one a all in one printer.  The utilities for each may not be compatible.

 

Since the 8800F is new,  (correction) New to you....  there is no included product support.  (You can try)...  asking Canon.  They can tell you if there is a single MP Navigator EX utility that will/can support both devices.   

~Rick
Bay Area - CA
~6D2 ~Many Lenses ~DxO PhotoLab Elite ~Windows10 Pro ~EVGA RTX 2080 FTW3 Ultra ~Pixma Pro-100
Highlighted
Product Expert
Posts: 3,192
Registered: ‎10-16-2012

Re: MP Navigator Ex versions

Hello.

 

These products use different programs for scanning.  The MX922 (or MX920 Series) uses the IJ Scan Utility program for scanning.  The CanoScan 8800F uses the MP Navigator.  You would not be able to use one of these programs for both the PIXMA MX922 and the CanoScan 8800F.

 

Please note, the CanoScan 8800F is only supported on computers that are running Windows 8.1 and earlier or Mac OSX v10.10 (Yosemite) and earlier.  Please be sure that you are using a computer which has a compatible Operating System in order to use the CanoScan 8800F.

 

It also appears that you have downloaded an incompatible version of the MP Navigator program.  Please visit the following links to access the latest available drivers and software downloads for each product.

 

PIXMA MX922 Drivers & Downloads

 

CanoScan 8800F Drivers & Downloads

 

If you need additional assistance with scanning, tell us what version of Windows or Mac OSX is on the computer.

Did this answer your question? Please click the Accept as Solution button so that others may find the answer as well.
Highlighted
New Contributor
Posts: 3
Registered: ‎07-13-2020

Re: MP Navigator Ex versions

I had the MX920 (wirelessly connected) already and just installed the 8800F and the software and driver I needed in "compatibility mode" for Windows 8(64) or 8.1(64) on a Windows 10 system. All is working fine (for now). Just have the questions about MP Navigator. Thanks, but I have no problem right now other than knowing.

1. Do all scanners come with a version of MP Navigator Ex? Do I even need it? I was following "Quick Start" instructions for the 8800F and it led me to starting MP Navigator, where it fails attempting to start MP Navigator 5.1 (which I found somewhere in Canonland, downloaded and installed). 8800F works/scans just fine using the installed driver(s). I noticed that if I remove the 8800F from the USB connection then MP Navigator 5.1 starts up, like it's detecting the 8800F when it is connected.
2. If both scanners can each benefit from MP Navigator Ex, then can I have two different and proper versions of MP Navigator on the same computer without a conflict? I was thinking it was a scanner "driver" of sorts, but see it listed under "software".
3. If there can be 2 different and proper versions then where do I find proper MP Navigator Ex versions for the MX920 and 8800F scanners (if they exist). I see there is a version 1.08 listed under "Software" for the 8800F. I don't see one for the MX920. Does that mean there is none for MX920? I already had a copy installed that I ignorantly uninstalled in favor of a more current version and I'm not sure if it came along with Canon printer/scanner/copier I had before the MX920 or as part of the MX920. I don't find it mentioned anywhere for MX920.

 

Highlighted
New Contributor
Posts: 3
Registered: ‎07-13-2020

Re: MP Navigator Ex versions

[ Edited ]

I was hoping that an "expert" user or Canon tech would read my questions, understand and answer. I take it Canon does not read this forum. If they do, the questions still stand. Thanks.

Highlighted
Product Expert
Posts: 1,047
Registered: ‎11-19-2018

Re: MP Navigator Ex versions

Hi aj_chicago,

 

Depening on the scanner, there may be a different version of MP Navigator. For example the CanoScan 8800F uses MP Navigator EX Ver. 1.08 but the CanoScan LiDE 700F uses MP Navigator EX Ver. 2.13. You will need to use the version of MP Navigator that your scanner supports.

 

As Michael mentioned earlier, the MX922 does not use MP Navigator it uses IJ Scan Utility. Since it uses IJ Scan Utility, you will not be able to connect the printer with MP navigator.

 

Did this answer your question? Please click the Accept as Solution button so that others may find the answer as well.

 

powered by Lithium

LIKE US on Facebook FOLLOW US on Twitter WATCH US on YouTube CONNECT WITH US on Linkedin WATCH US on Vimeo FOLLOW US on Instagram SHOP CANON at the Canon Online Store
© Canon U.S.A., Inc.   |    Terms of Use   |    Privacy Statement